aboutsummaryrefslogtreecommitdiffstats
path: root/bootstrap-verify-perf.sh
diff options
context:
space:
mode:
authorJan Gelety <jgelety@cisco.com>2017-11-28 16:43:29 +0100
committerJan Gelety <jgelety@cisco.com>2017-11-28 16:43:29 +0100
commit8ea4dff5c267113c7f9a4e2183f1d8fe6c85fe75 (patch)
treeec9dfabec9b41b7cea8dc021890bd52464d333a1 /bootstrap-verify-perf.sh
parent05492219b634b7b27102110bfba428a00e5264fa (diff)
CSIT-865: Add manual trigger for HW cryptodev (IPSECHW) perf tests
This manual trigger will allow to run 1T1C (1 core, 1 thread) and 2T2C (2 core, 2 thread) PDRDISC HW cryptodev tests per VPP/CSIT patch when required. Change-Id: I767203a1641f3446c3e45d7365fa5f9fff928f06 Signed-off-by: Jan Gelety <jgelety@cisco.com>
Diffstat (limited to 'bootstrap-verify-perf.sh')
-rwxr-xr-xbootstrap-verify-perf.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/bootstrap-verify-perf.sh b/bootstrap-verify-perf.sh
index fc89c9f611..e2d37e2d8c 100755
--- a/bootstrap-verify-perf.sh
+++ b/bootstrap-verify-perf.sh
@@ -237,6 +237,14 @@ case "$TEST_TAG" in
tests/
RETURN_STATUS=$(echo $?)
;;
+ VERIFY-PERF-IPSECHW )
+ pybot ${PYBOT_ARGS} \
+ -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
+ -s "tests.vpp.perf.crypto" \
+ --include pdrdiscANDnic_intel-xl710AND1t1cANDipsechwANDbase \
+ --include pdrdiscANDnic_intel-xl710AND2t2cANDipsechwANDbase \
+ tests/
+ ;;
VPP-VERIFY-PERF-IP4 )
pybot ${PYBOT_ARGS} \
-v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
@@ -303,6 +311,15 @@ case "$TEST_TAG" in
tests/
RETURN_STATUS=$(echo $?)
;;
+ VPP-VERIFY-PERF-IPSECHW )
+ pybot ${PYBOT_ARGS} \
+ -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
+ -s "tests.vpp.perf.crypto" \
+ --include pdrdiscANDnic_intel-xl710AND1t1cANDipsechwANDbase \
+ --include pdrdiscANDnic_intel-xl710AND2t2cANDipsechwANDbase \
+ tests/
+ RETURN_STATUS=$(echo $?)
+ ;;
PERFTEST_LONG )
pybot ${PYBOT_ARGS} \
-v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \